<template>
  <el-dialog  append-to-body :visible.sync="isShow" :before-close="resetCancel">
    <el-form :model="form">
      <el-form-item label="分类" :label-width="formLabelWidth">
        <el-select v-model="form.classification" placeholder="请选择">
          <el-option
            v-for="item in classificationes"
            :key="item.label"
            :label="item.label"
            :value="item.label">
          </el-option>
        </el-select>
      </el-form-item>
      <el-form-item label="处理情况" :label-width="formLabelWidth">
        <el-input type="textarea" v-model="form.content"></el-input>
      </el-form-item>
    </el-form>
    <div slot="footer" class="dialog-footer">
      <el-button @click="resetCancel">取 消</el-button>
      <el-button type="primary" @click="cancell">确 定</el-button>
    </div>
  </el-dialog>
</template>

<script>
import {remote} from "@/api/admin/dict"

export default {
  name: "penaltyDecisionForm",
  props:['isShow'],
  data() {
    return {
      form: {
        classification:"",
        content:"",
      },
      classificationes:[],
      formLabelWidth: '120px'
    };
  },
  created() {
    this.init()
  },
  methods:{
    init(){
      this.getTypeList()
    },
    reset(){
      this.form = {
        classification:"",
        content:"",
      }
    },
    created(){
      this.getTypeList()
    },
    getTypeList(){
      this.$nextTick(()=>{
        remote('penalty_type').then(res =>{
          this.classificationes = res.data.data;
        })
      })
    },
    resetCancel(){
      this.$emit('cancell',false);
      this.reset();
    },
    cancell(){
        this.$emit('cancell',false,this.form);
        this.reset();
    }
  },
}
</script>

<style scoped>

</style>
